WP1UnsupportedVariableLengthGroup Class Reference

`#include <WP1UnsupportedVariableLengthGroup.h>`

Inheritance diagram for WP1UnsupportedVariableLengthGroup:

## Public Member Functions

| WP1UnsupportedVariableLengthGroup (librevenge::RVNGInputStream *input, WPXEncryption *encryption, unsigned char group)
void | _readContents (librevenge::RVNGInputStream *input, WPXEncryption *encryption) override
void | parse (WP1Listener *) override
Public Member Functions inherited from WP1VariableLengthGroup
| WP1VariableLengthGroup (unsigned char group)
| ~WP1VariableLengthGroup () override
Public Member Functions inherited from WP1Part
virtual | ~WP1Part ()

## Additional Inherited Members

Static Public Member Functions inherited from WP1VariableLengthGroup
static WP1VariableLengthGroup * | constructVariableLengthGroup (librevenge::RVNGInputStream *input, WPXEncryption *encryption, unsigned char group)
static bool | isGroupConsistent (librevenge::RVNGInputStream *input, WPXEncryption *encryption, const unsigned char group)
Static Public Member Functions inherited from WP1Part
static WP1Part * | constructPart (librevenge::RVNGInputStream *input, WPXEncryption *encryption, unsigned char readVal)
Protected Member Functions inherited from WP1VariableLengthGroup
void | _read (librevenge::RVNGInputStream *input, WPXEncryption *encryption)
unsigned char | getGroup () const
unsigned | getSize () const

## Constructor & Destructor Documentation

## WP1UnsupportedVariableLengthGroup()

WP1UnsupportedVariableLengthGroup::WP1UnsupportedVariableLengthGroup | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption,
|  | unsigned char | group )

## Member Function Documentation

## _readContents()

void WP1UnsupportedVariableLengthGroup::_readContents | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption )

override virtual

Implements WP1VariableLengthGroup.

## parse()

void WP1UnsupportedVariableLengthGroup::parse | ( | WP1Listener * |  | ) |

inline override virtual

Implements WP1Part.

The documentation for this class was generated from the following files:

- WP1UnsupportedVariableLengthGroup.h
- WP1UnsupportedVariableLengthGroup.cpp